import React, { PureComponent } from 'react';
export interface IHighlightFromGroupProps {
    /**
     * index подсвеченного эл-та
     */
    highlightedIndex?: number;
    /**
     * Коллбэк на переключение выбранного эл-та
     */
    onHighlightedIndexChange?: (highlightedIndex: IHighlightFromGroupProps['highlightedIndex']) => void;
    /**
     * Количество эл-тов в группе
     */
    itemCount?: number;
    /**
     * Коллбэк на выбор эл-та из списка
     */
    onSelect?: (item: {}) => void;
    /**
     * Children компонента, только function
     */
    children?: (props: IHighlightFromGroupInjectedProps) => React.ReactNode;
}
export interface IHighlightFromGroupInjectedProps {
    /**
     * Возвращает хэндлеры триггера
     */
    getTriggerProps: HighlightFromGroup['getTriggerProps'];
    /**
     * Возвращает хэндлеры эл-та списка
     */
    getItemProps: HighlightFromGroup['getItemProps'];
    /**
     * Возвращает хэндлеры списка
     */
    getListProps: HighlightFromGroup['getListProps'];
    /**
     * Выбирает item по его index
     * @param {number} index
     */
    selectItemByIndex: HighlightFromGroup['selectItemByIndex'];
    /**
     * Возвращает кол-во items
     */
    getItemCount: HighlightFromGroup['getItemCount'];
    /**
     * @ignore
     */
    clearItems: HighlightFromGroup['clearItems'];
    /**
     * Индекс подсвеченного эл-та
     */
    highlightedIndex: IHighlightFromGroupProps['highlightedIndex'];
}
declare class HighlightFromGroup extends PureComponent<IHighlightFromGroupProps> {
    static displayName: string;
    highlightedNode: any;
    listNode: any;
    items: any[];
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    scrollHighlightedItemIntoView(): void;
    selectItemByIndex: (index: any) => void;
    handleKeyDown: (e: React.KeyboardEvent<Element>) => void;
    moveHighlightedIndex(amount: any): void;
    clearItems: () => void;
    getItemCount: () => number;
    getTriggerProps: <T extends {
        onKeyDown?: unknown;
        onBlur?: unknown;
    }>(props?: T) => T;
    getItemProps: <T extends {
        index?: number;
        ref?: React.Ref<any>;
    }>(props?: T) => T;
    getListProps: <T extends {}>(props?: T) => T & {
        ref: (args: any) => void;
    };
    render(): React.ReactNode;
}
export default HighlightFromGroup;
